.ic-3246-shell {
	position: relative;
	width: 100%;
}

.ic-3246-wrapper {
	position: relative;
	width: 100%;
	overflow: hidden;
}

.ic-3246-slide {
	text-align: center;
	padding: 20px;
	box-sizing: border-box;
	height: auto;
}

.ic-3246-link {
	text-decoration: none;
	color: inherit;
	display: flex;
	flex-direction: column;
	height: 100%;
}

.ic-3246-image-wrapper {
	flex-grow: 0;
	margin-bottom: 15px;
	position: relative;
	width: 100%;
	overflow: hidden;
}

.ic-3246-image-wrapper .ic-3246-image {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}

.ic-3246-content-wrapper {
	flex-grow: 1;
	display: flex;
	flex-direction: column;
	justify-content: flex-end;
}

.ic-3246-image {
	max-width: 100%;
	display: block;
	margin-left: auto;
	margin-right: auto;
}

.ic-3246-title {
	margin: 0 0 10px 0;
}

.ic-3246-name {
	margin: 0;
}

.ic-3246-prev,
.ic-3246-next {
	color: #333;
}

.ic-3246-pagination .swiper-pagination-bullet-active {
	background-color: #333;
}

.swiper-slide.ic-3246-slide {
	height: auto;
}

/* default: inside */
.ic-3246-arrows-inside .ic-3246-prev,
.ic-3246-arrows-inside .ic-3246-next {
	top: 50%;
	transform: translateY(-50%);
}

/* outside */
.ic-3246-arrows-outside {
	padding-left: 40px;
	padding-right: 40px;
}

.ic-3246-arrows-outside .ic-3246-prev,
.ic-3246-arrows-outside .ic-3246-next {
	top: 50%;
	transform: translateY(-50%);
	margin-top: 0;
}

.ic-3246-arrows-outside .ic-3246-prev {
	left: 0;
}

.ic-3246-arrows-outside .ic-3246-next {
	right: 0;
}